Subject: bug#7923: 23.2; Shell PATH environment variable problem

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Jan 2011 23:10:29 -0500

> from MacTeX-2010.  I noticed that tex programs were in the PATH in a
> terminal shell, but not in an emacs shell.  Ultimately, I discovered

IIUC the difference is because Terminal.app runs the shell as a login
shell (which is a somewhat unusual choice, for an old Unix guy), whereas
Emacs's M-x shell doesn't.

You can make your .bashrc to source /etc/profile.

Tho maybe your better choice will be to try and make Emacs's own PATH to
be set properly (i.e. have it run your path_helper somehow).

        Stefan